<?xml version="1.0" encoding="UTF-8"?>
<dataSource name="postgres@localhost">
  <database-model serializer="dbm" rdbms="POSTGRES" format-version="4.9">
    <root id="1">
      <ServerVersion>11.2</ServerVersion>
    </root>
    <database id="2" parent="1" name="example">
      <ObjectId>17867</ObjectId>
      <Visible>1</Visible>
    </database>
    <database id="3" parent="1" name="hiber1">
      <ObjectId>17604</ObjectId>
      <Visible>1</Visible>
    </database>
    <database id="4" parent="1" name="postgres">
      <ObjectId>13012</ObjectId>
      <Comment>default administrative connection database</Comment>
      <IntrospectionStateNumber>123</IntrospectionStateNumber>
      <Current>1</Current>
      <Visible>1</Visible>
    </database>
    <role id="5" parent="1" name="pg_execute_server_program">
      <ObjectId>4571</ObjectId>
      <Inherit>1</Inherit>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="6" parent="1" name="pg_monitor">
      <ObjectId>3373</ObjectId>
      <Inherit>1</Inherit>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="7" parent="1" name="pg_read_all_settings">
      <ObjectId>3374</ObjectId>
      <Inherit>1</Inherit>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="8" parent="1" name="pg_read_all_stats">
      <ObjectId>3375</ObjectId>
      <Inherit>1</Inherit>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="9" parent="1" name="pg_read_server_files">
      <ObjectId>4569</ObjectId>
      <Inherit>1</Inherit>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="10" parent="1" name="pg_signal_backend">
      <ObjectId>4200</ObjectId>
      <Inherit>1</Inherit>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="11" parent="1" name="pg_stat_scan_tables">
      <ObjectId>3377</ObjectId>
      <Inherit>1</Inherit>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="12" parent="1" name="pg_write_server_files">
      <ObjectId>4570</ObjectId>
      <Inherit>1</Inherit>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="13" parent="1" name="postgres">
      <ObjectId>10</ObjectId>
      <SuperRole>1</SuperRole>
      <Inherit>1</Inherit>
      <CreateRole>1</CreateRole>
      <CreateDb>1</CreateDb>
      <CanLogin>1</CanLogin>
      <Replication>1</Replication>
      <ConnectionLimit>-1</ConnectionLimit>
      <BypassRls>1</BypassRls>
    </role>
    <role id="14" parent="1" name="user1">
      <ObjectId>17546</ObjectId>
      <Inherit>1</Inherit>
      <CanLogin>1</CanLogin>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="15" parent="1" name="user2">
      <ObjectId>17868</ObjectId>
      <Inherit>1</Inherit>
      <CanLogin>1</CanLogin>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <schema id="16" parent="4" name="information_schema">
      <ObjectId>12716</ObjectId>
    </schema>
    <schema id="17" parent="4" name="pg_catalog">
      <ObjectId>11</ObjectId>
      <Comment>system catalog schema</Comment>
    </schema>
    <schema id="18" parent="4" name="pg_temp_1">
      <ObjectId>11804</ObjectId>
    </schema>
    <schema id="19" parent="4" name="pg_toast">
      <ObjectId>99</ObjectId>
      <Comment>reserved schema for TOAST tables</Comment>
    </schema>
    <schema id="20" parent="4" name="pg_toast_temp_1">
      <ObjectId>11805</ObjectId>
    </schema>
    <schema id="21" parent="4" name="public">
      <ObjectId>2200</ObjectId>
      <Comment>standard public schema</Comment>
      <IntrospectionTimestamp>2019-03-30.14:11:16.328</IntrospectionTimestamp>
      <Current>1</Current>
      <Visible>1</Visible>
    </schema>
    <access-method id="22" parent="4" name="btree">
      <ObjectId>403</ObjectId>
      <Comment>b-tree index access method</Comment>
      <Handler>pg_catalog.bthandler</Handler>
      <HandlerId>330</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="23" parent="4" name="hash">
      <ObjectId>405</ObjectId>
      <Comment>hash index access method</Comment>
      <Handler>pg_catalog.hashhandler</Handler>
      <HandlerId>331</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="24" parent="4" name="gist">
      <ObjectId>783</ObjectId>
      <Comment>GiST index access method</Comment>
      <Handler>pg_catalog.gisthandler</Handler>
      <HandlerId>332</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="25" parent="4" name="gin">
      <ObjectId>2742</ObjectId>
      <Comment>GIN index access method</Comment>
      <Handler>pg_catalog.ginhandler</Handler>
      <HandlerId>333</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="26" parent="4" name="spgist">
      <ObjectId>4000</ObjectId>
      <Comment>SP-GiST index access method</Comment>
      <Handler>pg_catalog.spghandler</Handler>
      <HandlerId>334</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="27" parent="4" name="brin">
      <ObjectId>3580</ObjectId>
      <Comment>block range index (BRIN) access method</Comment>
      <Handler>pg_catalog.brinhandler</Handler>
      <HandlerId>335</HandlerId>
      <Type>index</Type>
    </access-method>
  </database-model>
</dataSource>